Bug 801721 - Incorrect last_sent and last_received time in statedump
Incorrect last_sent and last_received time in statedump
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rpc (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-09 04:25 EST by Anush Shetty
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:27:11 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-03-09 04:25:01 EST
Description of problem: The  last_sent and last_received time displayed in the statedump is incorrect. 


Version-Release number of selected component (if applicable): upstream


How reproducible: Consistently


Steps to Reproduce:
1. kill -USR1 <pid of glusterfs>

  
Actual results:

[xlator.protocol.client.test2-client-1.priv]
connecting=0
last_sent=Thu Jan  1 05:30:00 1970

last_received=Thu Jan  1 05:30:00 1970

total_bytes_read=2092
total_bytes_written=2828

[xlator.protocol.client.test2-client-0.priv]
connecting=0
last_sent=Thu Jan  1 05:30:00 1970

last_received=Thu Jan  1 05:30:00 1970

total_bytes_read=2412
total_bytes_written=3244



Expected results: Should display the proper time


Additional info:
Comment 1 Anand Avati 2012-03-12 08:27:39 EDT
CHANGE: http://review.gluster.com/2916 (protocol/client: remove unused variables from 'priv/conf') merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anush Shetty 2012-05-18 09:51:11 EDT
Verified with 3.3.0qa41

Note You need to log in before you can comment on or make changes to this bug.